Activity log for bug #1670052

Date Who What changed Old value New value Message
2017-03-04 22:00:09 Lars Kellogg-Stedman bug added bug
2017-03-04 22:10:11 Launchpad Janitor merge proposal linked https://code.launchpad.net/~larsks/cloud-init/+git/cloud-init/+merge/318992
2017-03-07 17:11:52 Scott Moser cloud-init: status New Confirmed
2017-03-07 17:11:53 Scott Moser cloud-init: importance Undecided Medium
2017-03-07 17:12:02 Scott Moser cloud-init: assignee Lars Kellogg-Stedman (larsks)
2017-04-04 20:43:35 Scott Moser bug task added cloud-init (Ubuntu)
2017-04-04 20:43:43 Scott Moser cloud-init (Ubuntu): status New Fix Released
2017-04-04 20:43:45 Scott Moser cloud-init (Ubuntu): importance Undecided Medium
2017-04-04 20:43:52 Scott Moser nominated for series Ubuntu Zesty
2017-04-04 20:43:52 Scott Moser bug task added cloud-init (Ubuntu Zesty)
2017-04-04 20:43:52 Scott Moser nominated for series Ubuntu Yakkety
2017-04-04 20:43:52 Scott Moser bug task added cloud-init (Ubuntu Yakkety)
2017-04-04 20:44:06 Scott Moser nominated for series Ubuntu Xenial
2017-04-04 20:44:06 Scott Moser bug task added cloud-init (Ubuntu Xenial)
2017-04-04 20:44:18 Scott Moser cloud-init (Ubuntu Xenial): status New Confirmed
2017-04-04 20:44:26 Scott Moser cloud-init (Ubuntu Yakkety): importance Undecided Medium
2017-04-04 20:44:29 Scott Moser cloud-init (Ubuntu Yakkety): status New Confirmed
2017-04-04 20:44:31 Scott Moser cloud-init (Ubuntu Xenial): importance Undecided Medium
2017-04-05 14:20:49 Scott Moser description When running in an environment that provides more than 3 nameservers, cloud-init will raise a ValueError exception: Mar 04 18:03:01 localhost.localdomain cloud-init[901]: ValueError: Adding '8.8.8.8' would go beyond the '3' maximum name servers While that is a legitimate complaint, raising an exception seems like the wrong response, because this results in *no* nameserver configuration, which can have a substantial operational impact on the system. Cloud-init should probably just log a warning in this case, and ignore any nameservers received after the first three. === Begin SRU Template === [Impact] When rendering sysconfig (redhat/centos) output there was a bug where cloud-init would error if provided with more than 3 nameservers. That was changed to a warning. [Test Case] This can't really be tested on Ubuntu, as ubuntu does not render sysconfig network information. [Regression Potential] Low everywhere (change ValueError to a WARN) and lower on Ubuntu, where the code is not in the run path. [Other Info] Upstream commit: https://git.launchpad.net/cloud-init/commit/?id=657fd40f9ee692a === End SRU Template === When running in an environment that provides more than 3 nameservers, cloud-init will raise a ValueError exception:   Mar 04 18:03:01 localhost.localdomain cloud-init[901]: ValueError: Adding '8.8.8.8' would go beyond the '3' maximum name servers While that is a legitimate complaint, raising an exception seems like the wrong response, because this results in *no* nameserver configuration, which can have a substantial operational impact on the system. Cloud-init should probably just log a warning in this case, and ignore any nameservers received after the first three.
2017-04-10 20:04:28 Lars Kellogg-Stedman cloud-init: status Confirmed Fix Committed
2017-04-10 20:04:44 Lars Kellogg-Stedman cloud-init: status Fix Committed Confirmed
2017-04-10 20:05:27 Lars Kellogg-Stedman cloud-init: status Confirmed Fix Committed
2017-04-10 22:23:51 Brian Murray cloud-init (Ubuntu Yakkety): status Confirmed Fix Committed
2017-04-10 22:23:52 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2017-04-10 22:23:58 Brian Murray bug added subscriber SRU Verification
2017-04-10 22:24:03 Brian Murray tags verification-needed
2017-04-10 22:46:41 Brian Murray cloud-init (Ubuntu Xenial): status Confirmed Fix Committed
2017-04-13 17:56:25 Scott Moser tags verification-needed verification-done-xenial verification-done-yakkety
2017-04-20 19:33:34 Launchpad Janitor cloud-init (Ubuntu Yakkety): status Fix Committed Fix Released
2017-04-20 19:34:41 Steve Langasek removed subscriber Ubuntu Stable Release Updates Team
2017-04-20 19:35:54 Launchpad Janitor cloud-init (Ubuntu Xenial): status Fix Committed Fix Released
2017-09-23 02:29:39 Scott Moser cloud-init: status Fix Committed Fix Released